GET /v1/events/{eventId}
curl --request GET \
--url https://sandbox.api.prava.space/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.api.prava.space/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.prava.space/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"type": "payment.credentials_ready",
"schema_version": "2026-10-08",
"occurred_at": "2023-11-07T05:31:56Z",
"environment": "sandbox",
"account_id": "<string>",
"resource": {
"type": "payment",
"id": "txn_example",
"version": 123
},
"data": {},
"test": true
}Events
Retrieve an Event
Get one retained event by ID.
GET
/
v1
/
events
/
{eventId}
GET /v1/events/{eventId}
curl --request GET \
--url https://sandbox.api.prava.space/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.api.prava.space/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.prava.space/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"type": "payment.credentials_ready",
"schema_version": "2026-10-08",
"occurred_at": "2023-11-07T05:31:56Z",
"environment": "sandbox",
"account_id": "<string>",
"resource": {
"type": "payment",
"id": "txn_example",
"version": 123
},
"data": {},
"test": true
}Returns one event with the same envelope Prava delivers to your endpoints. Events older than 30 days return
404. See Event types for each event’s data.Authorizations
Your secret key: sk_test_* (sandbox) or sk_live_* (production).
Path Parameters
Response
Successful operation; endpoints never include stored signing secrets.
The event envelope, exactly as delivered to your endpoints.
Event ID, starting with evt_.
A webhook event type.
Available options:
payment.credentials_ready, payment.succeeded, payment.failed, card_enrollment.completed, card_enrollment.failed, card_enrollment.cancelled, card_enrollment.expired, mandate.created, mandate.creation_failed, mandate.creation_cancelled, mandate.creation_expired, mandate.paused, mandate.resumed, mandate.cancelled, mandate.expired, quote.request_failed Example:
"2026-10-08"
Available options:
sandbox, production Your application's account ID, starting with ma_.
Show child attributes
Show child attributes
Event-specific fields. See Event types.
true on test events. Absent otherwise.